3106 Rate this article:
5.0

XQuartz 2.7.10 is Not Compatible with ENVI 5.3.1 and IDL 8.5.1

XQuartz 2.7.10 was released recently. In upgrading to XQuartz 2.7.10, many users are reporting issues with IDL and ENVI. Some examples of these issues reported include ENVI version 5.0 and greater not opening, neither from shortcuts nor from the IDL command line.

Once an attempt to open ENVI occurs, IDL shuts down, often without an error message. Users also report that only XQuartz opens when they attempt to launch ENVI or IDL from the Finder shortcuts.

A workaround is to downgrade from XQuartz 2.7.10 to XQuartz 2.7.9. You can find many resources on how to uninstall XQuartz from your Mac with a quick web search using something like "uninstall XQuartz mac".

Another possible workaround is to set DYLD_LIBRARY_PATH=/opt/X11/lib/flat_namespace. The easiest way to do this is by following the procedure below:

1. Open /Applications/exelis/idl85/bin/idl in a text editor

2. Find the line that reads export DYLD_LIBRARY_PATH

3. Add the following line below the line found in Step 2:

export DYLD_LIBRARY_PATH=/opt/X11/lib/flat_namespace:$DYLD_LIBRARY_PATH

 
After you have made this change to this file, ENVI should launch properly. 

NOTE: In order to get all the icons to work, you will need to add the same modification to the file /Applications/Exelis/ENVI53+IDL85.app/Contents/MacOS/init

Written by JB 10/26/2016, Reviewed by DS 10/26/2016, Updated 11/1/2016 by DS

Please login or register to post comments.